Skip to main content
PUT
Update an existing agent

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required

Agent UUID to update. Must match agent_id in request body.

Body

application/json

Updated agent payload. Include the same agent_id as in the path and the new agent_config/agent_prompts.

Payload for updating an existing agent. The agent_id in the body should match the {agent_id} path parameter.

agent_id
string<uuid>
required

Agent UUID (must match URL path parameter).

agent_config
object
required
agent_prompts
object
required

Response

Agent updated successfully

Response returned after a successful agent update.

status
string
required
Example:

"success"

message
string
required
Example:

"Agent updated successfully"

agent_id
string<uuid>
required
callback_configured
boolean | null

True when inbound callback status is configured and validated.

ready_for_inbound_calls
boolean | null
ready_for_outbound_calls
boolean
Example:

true

warning
string | null